/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TSystem - Type System

Hirarchie:
TObject
*/

/*
	Copyrigth 2001-2002 Frdric Brown
*/

/*
    This file is part of COOL.

    COOL is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    COOL is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with COOL; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
 * La classe TSystem implmentes les mthodes permettant d'accder
 * aux ressources du systme.  Ces mthodes sont implmentes de faon
 * statiques, ce qui permet d'y accder mme si l'on ne peut instancier
 * des objets de type System.
 @since Release 1.0
*/

#define sop(x) System_out_print(x)

//Dclaration des mthodes statiques
void System_out_print (TObject*); 


/**
 * Cette mthode imprime l'objet  l'cran.  En fait, elle imprime la
 * reprsentation en chane de caractres de l'objet obtenue par la
 * mthode toString.
 @param obj L'objet  imprimer.
 @since Release 1.0
*/
void System_out_print (TObject* obj) {
	TString* string;
	
	string = obj->toString(obj);
	
	printf(string->string);
	
	string->finalize(string);
}
