/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TTextArea - Type TextArea

Hirarchie:
TObject -> TComponent -> TCaptionedComponent -> TTextField -> TTextArea
*/

/**
 * La classe TTextArea reprsente une zone de texte.  Une TextArea est en fait
 * un TextField avec la possibilit de rpartir le texte sur plusieurs lignes.
 @since Release 1.0
*/
public class TTextArea extends TTextField {

	/**Indique si le texte est ditable*/
	public boolean editable;

/**
 * Ce constructeur instancie un objet de Type TextArea.
 @since Release 1.0
*/
public TTextArea TTextArea0 () {

	return new TTextArea();
}

/**
 * Ce constructeur instancie un objet de Type TextArea en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TTextArea TTextArea1 (TString caption) {
	
	return new TTextArea();
}

/**
 * Ce constructeur instancie un objet de Type TextArea en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TTextArea TTextArea2 (char[] caption) {
	
	return new TTextArea();
}

/**
 * Cette mthode retourne un objet de Type TextArea qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TTextArea clone() {
	
	return new TTextArea();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode affiche le composant  l'cran.
 @since Release 1.0
*/
public void print() {
}

/**
 * Cette mthode permet  l'utilisateur d'utiliser le composant.
 @since Release 1.0
*/
public void use() {
}

/**
 * Cette mthode change l'tiquette du composant.   la diffrence
 * d'un CaptionedComponent, les dimensions d'un TextArea sont immuables.
 @param caption L'tiquette du composant
 @since Release 1.0
*/
public void setCaption(TString caption) {
}
}