/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TCheckButton - Type CheckButton

Hirarchie:
TObject -> TComponent -> TCaptionedComponent -> TButton -> TCheckButton
*/

/**
 * La classe TCheckButton reprsente un bouton que l'utilisateur peut cocher.
 @since Release 1.0
*/
public class TCheckButton extends TButton {

	public boolean checked;

/**
 * Ce constructeur instancie un objet de Type CheckButton.
 @since Release 1.0
*/
public TCheckButton TCheckButton0 () {

	return new TCheckButton();
}

/**
 * Ce constructeur instancie un objet de Type CheckButton en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TCheckButton TCheckButton1 (TString caption) {
	
	return new TCheckButton();
}

/**
 * Ce constructeur instancie un objet de Type CheckButton en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TCheckButton TCheckButton2 (char[] caption) {

	
	return new TCheckButton();
}

/**
 * Cette mthode retourne un objet de Type CheckButton qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TCheckButton clone() {

	
	return new TCheckButton();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode permet de cocher le bouton.
 @param checked Vrai si le composant doit tre coch
 @since Release 1.0
*/
public void setChecked (boolean checked) {
}

/**
 * Cette mthode affiche le composant  l'cran.
 @since Release 1.0
*/
public void print() {
}
}